Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.serialize
Class SerializerFactory

    java.lang.Object
      |
      +--weblogic.apache.xalan.serialize.SerializerFactory

public abstract class SerializerFactory
extends java.lang.Object

Factory for creating serializers.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`SerializerFactory()`

Method Summary
`static Serializer` | `getSerializer(java.util.Properties format)` Returns a serializer for the specified output method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializerFactory

    public SerializerFactory()

Method Detail

### getSerializer

    public static Serializer getSerializer(java.util.Properties format)

  Returns a serializer for the specified output method. Returns null if no implementation exists that supports the specified output method. For a list of the default output methods see `Method`.

  Parameters:
    `format` - The output format
  Returns:
    A suitable serializer, or null
  Throws:
    java.lang.IllegalArgumentException - (apparently -sc) if method is null or an appropriate serializer can't be found
    WrappedRuntimeException - (apparently -sc) if an exception is thrown while trying to find serializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference